%global packname  rlang
%global packver   0.2.0

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Summary:          Functions for Base Types and Core R and 'Tidyverse' Features
License:          GPLv3
URL:              http://cran.r-project.org/web/packages/rlang/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
Requires:         R-core >= 3.1.0, texlive-latex
BuildRequires:    R-devel >= 3.1.0
# There are lots of suggests here, but we need to get this built to get R-testthat going.
# So we leave them out for now.

%description
A toolbox for working with base types, core R features like the condition
system, and core 'Tidyverse' features like tidy evaluation.

%prep
%setup -c -q -n %{packname}

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%if 0
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS.md
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/

%changelog
* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 0.2.0-1
- initial package
